package org.springblade.audit.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.audit.entity.IntFzzDiscount;

/**
 * <p>
 * 400扣罚明细表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-12-06
 */
public interface IntFzzDiscountMapper extends BaseMapper<IntFzzDiscount> {

    void giveTheMonthSoul();

	void editSpCode(@Param("theMonth") String theMonth);

	void giveSpidSoul(@Param("theMonth") String theMonth);

	void giveSpidSoulTwo(@Param("theMonth") String theMonth);

	void settingFileTag(@Param("theMonth") String theMonth);

    void removeEmptyData(@Param("theMonth") String theMonth);

}
